Package org.eclipse.mat.report.internal

## Class Parameters

- java.lang.Object
- - org.eclipse.mat.report.internal.Parameters

Direct Known Subclasses:
  `Parameters.Deep`

    public abstract class Parameters
    extends java.lang.Object

No Extend:

### Nested Class Summary

Nested Classes
`static class` `Parameters.Deep`

### Constructor Summary

Constructors
`Parameters()`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`java.lang.String` `expand​(java.lang.String value)`
`java.lang.String` `get​(java.lang.String key)`
`abstract java.lang.String` `get​(java.lang.String key, java.lang.String defaultValue)`
`boolean` `getBoolean​(java.lang.String key, boolean defaultValue)`
`int` `getInt​(java.lang.String key, int defaultValue)`
`java.lang.String[]` `getStringArray​(java.lang.String key)`
`abstract void` `put​(java.lang.String key, java.lang.String value)`
`abstract void` `putAll​(java.util.Map<java.lang.String,​java.lang.String> params)`
`abstract Parameters` `shallow()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Parameters

    public Parameters()

### Method Detail

#### shallow

    public abstract Parameters shallow()

#### get

    public abstract java.lang.String get​(java.lang.String key,
                                         java.lang.String defaultValue)

#### putAll

    public abstract void putAll​(java.util.Map<java.lang.String,​java.lang.String> params)

#### put

    public abstract void put​(java.lang.String key,
                             java.lang.String value)

#### get

    public java.lang.String get​(java.lang.String key)

#### expand

    public java.lang.String expand​(java.lang.String value)

#### getInt

    public int getInt​(java.lang.String key,
                      int defaultValue)

#### getBoolean

    public boolean getBoolean​(java.lang.String key,
                              boolean defaultValue)

#### getStringArray

    public java.lang.String[] getStringArray​(java.lang.String key)